Subject: Re: [clisp-list] socket-shutdown and broken http inspect server o n win32

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Fri May 17 05:21:01 2002

Hi,

>can you do it? [peek at other sources]
I have no time for now.
My belief is: the answer will come from some knowledge-holder, not from more trial&error. I don't want to program by trial&error.

I.e., who, on a single system, could have noticed that a straightforward SD_SEND patch works for client and server on a single machine (in most situations), but fails miserably (0 bytes transmitted!) on an unloaded machine, when accessed remotely?? I want a reliable solution.

So for now, the bug solving is put on hold until somebody comes up with another idea or solution path.

Sam Steingold wrote:
>please try the appended patch.
I already tried this and other combinations. No change.
  #ifdef WIN32_NATIVE
-  if (shutdown(TheSocket(handle),SHUT_RDWR)) { SOCK_error(); }
+  # this has to be done in this particular order and should not be
+  # replaced with a single SHUT_RDWR due to the Woe32 peculiarities
+  if (shutdown(TheSocket(handle),SD_SEND))    { SOCK_error(); }
+  if (shutdown(TheSocket(handle),SD_RECEIVE)) { SOCK_error(); }
  #endif
   if (!( closesocket(TheSocket(handle)) ==0)) { SOCK_error(); }

Regards,
	Jorg Hohle.